function [ inertia_matrix ] = inertia_matrix ( point, triangle, h, rho )
% svZ
    sz = size(point); n = 2*sz(1);
    inertia_matrix = zeros(n,n);
    for row = triangle'
        i = row(1); j = row(2); k = row(3);
        xi = point(i,1); yi = point(i,2);
        xj = point(j,1); yj = point(j,2);
        xk = point(k,1); yk = point(k,2);
        inertia_matrix_ijk = partial_inertia_matrix(xi,yi,xj,yj,xk,yk,rho,h);
        p = [2*i-1, 2*i, 2*j-1, 2*j, 2*k-1, 2*k];
        inertia_matrix(p,p) = inertia_matrix(p,p) + inertia_matrix_ijk;
    end
end
